Make WordPress Core

Opened 9 months ago

Closed 9 months ago

Last modified 8 months ago

#59322 closed defect (bug) (fixed)

Update Requests library to version 2.0.8

Reported by: jrf's profile jrf Owned by: costdev's profile costdev
Milestone: 6.4 Priority: normal
Severity: normal Version: 6.4
Component: External Libraries Keywords: add-to-field-guide has-patch commit
Focuses: Cc:

Description (last modified by jrf)

Requests 2.0.8 has just been released with a tiny bug fix which is relevant for WP (related to #54588).

Full details:

I would recommend an update (with the exception of the certificate bundle for which WP has its own version).

Previous: #33055, #47746, #49922, #53101, #53334, #54504, #58079

Change History (7)

#1 @jrf
9 months ago

  • Description modified (diff)

#2 @costdev
9 months ago

  • Owner set to costdev
  • Status changed from new to assigned

Thanks @jrf! I agree that we should update to Requests 2.0.8.

This ticket was mentioned in PR #5184 on WordPress/wordpress-develop by @costdev.


9 months ago
#3

  • Keywords has-patch added; needs-patch removed

This PR updates the Requests library from version 2.0.6 to 2.0.8.

#4 @mukesh27
9 months ago

  • Keywords commit added

Hi there!

@jrf Thanks for the ticket and @costdev for PR. PR got enough approval for merge.

Added commit keyword.

#5 @costdev
9 months ago

  • Resolution set to fixed
  • Status changed from assigned to closed

In 56554:

External Libraries: Update the Requests library to version 2.0.8.

This is a maintenance release with minor changes:

  • Only force close cURL connection when needed (cURL < 7.22).

References:

Follow-up to [54997], [55007], [55046], [55225], [55296], [55629].

Props jrf, mukesh27, spacedmonkey, costdev.
Fixes #59322.

@costdev commented on PR #5184:


9 months ago
#6

Merged in r56554.

This ticket was mentioned in Slack in #core by abhanonstopnews. View the logs.


8 months ago

Note: See TracTickets for help on using tickets.